<!DOCTYPE html>
<html lang="en">
    <head>
        <link rel="stylesheet" href="public/css/style.css">
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Komputer store</title>
    </head>

    <body>
        <div class="banner">
            <p>Komputer Store</p>
        </div>
        <div class="container">
            <div class="componentDiv">
                <h3>Joe Banker</h3>
                <div>
                    <span class="leftSide">Balance</span>
                    <span id="balance" class="rightSide">0 Kr.</span>
                </div>
                
                <div>
                    <span id="outstandingLoan" class="leftSide" hidden>Outstanding loan</span>
                    <span id="outstandingLoanAmount" class="rightSide" ></span>
                </div>
                <div class="bottom">
                    <button id="loanButton" class="button">Get a loan</button>
                </div>
            </div>
    
            <div class="componentDiv">
                <h4>Work</h4>
                <div>
                    <span class="leftSide" >Pay</span>
                    <span id=pay class="rightSide" >0 Kr.</span>
                </div>
                
                <div class="bottom">
                    <div>
                        <button id="bankButton" class="button">Bank</button>
                        <button id="workButton" class="button">Work</button>
                    </div>

                    <div>
                        <button id="repayLoanButton" class="button" hidden>Repay loan</button>
                    </div>
                </div>
            </div>
    
            <div id="laptopDiv" class="componentDiv">
                <h4>Laptops</h4>
                <select id="laptopSelection">
    
                </select>
                <h5 id="featuresHeader">Features</h5>
                <ul id="featuresList">
    
                </ul>
            </div>
        </div>
        
        <div class="container">
            <div id="laptopInfoDiv" class="componentDiv">
                <aside class="laptopInfoLeft">
                    <img id="laptopImage" onerror="this.src='public/images/image_missing.png'">
                </aside>
    
                <div class="laptopInfoCenter">
                    <h4 id="laptopModel"></h4>
    
                    <div>
                        <span id="laptopDescription"></span>
                    </div>
                </div>

                <aside class="laptopInfoRight">
                    <div>
                        <span>Price: </span>
                        <span id="laptopPrice"></span>
                    </div>
                    <div>
                        <button id="buyLaptopButton" class="button">BUY NOW</button>
                    </div>
                <aside>
            </div>
        </div>
        <script src="public/js/main.js"></script>
    </body>
</html>